Loading...
Searching...
No Matches
juce::universal_midi_packets::SysEx7 Struct Reference

`#include <juce_UMPSysEx7.h>`

## Classes

struct | PacketBytes

## Public Types

enum class | Kind : uint8_t { complete = 0 , begin = 1 , continuation = 2 , end = 3 }

## Static Public Member Functions

static uint32_t | getNumPacketsRequiredForDataSize (uint32_t)
static PacketBytes | getDataBytes (const PacketX2 &packet)

## Detailed Description

This struct acts as a single-file namespace for Universal MIDI Packet functionality related to 7-bit SysEx.

Definition at line 34 of file juce_UMPSysEx7.h.

## Class Documentation

## juce::universal_midi_packets::SysEx7::PacketBytes

struct juce::universal_midi_packets::SysEx7::PacketBytes

Holds the bytes from a single SysEx-7 packet.

Definition at line 62 of file juce_UMPSysEx7.h.

Class Members
array< byte, 6 > | data |
uint8_t | size |

## Member Enumeration Documentation

## Kind

enum class juce::universal_midi_packets::SysEx7::Kind : uint8_t

strong

The different kinds of UMP SysEx-7 message.

Enumerator
complete | The whole message fits in a single 2-word packet.
begin | The packet begins a SysEx message that will continue in subsequent packets.
continuation | The packet is a continuation of an ongoing SysEx message.
end | The packet terminates an ongoing SysEx message.

Definition at line 46 of file juce_UMPSysEx7.h.

## Member Function Documentation

## getDataBytes()

SysEx7::PacketBytes juce::universal_midi_packets::SysEx7::getDataBytes | ( | const PacketX2 & | packet | ) |

static

Extracts the data bytes from a 64-bit data message.

Definition at line 32 of file juce_UMPSysEx7.cpp.

## getNumPacketsRequiredForDataSize()

uint32_t juce::universal_midi_packets::SysEx7::getNumPacketsRequiredForDataSize | ( | uint32_t | size | ) |

static

Returns the number of 64-bit packets required to hold a series of SysEx bytes.

The number passed to this function should exclude the leading/trailing SysEx bytes used in an old midi bytestream, as these are not required when using Universal MIDI Packets.

Definition at line 26 of file juce_UMPSysEx7.cpp.

Referenced by juce::universal_midi_packets::Conversion::toMidi1().

The documentation for this struct was generated from the following files:

- juce_UMPSysEx7.h
- juce_UMPSysEx7.cpp